Namespace UTSModule.Test.Command.SystemCommand
    Public Class SystemCommandManger
        Public Shared Function CreateExecutor(command As TestCommand) As TestCommandExecutor
            Dim executor As TestCommandExecutor
            Select Case command.Name
                Case "Check_UTS_Platform"
                    executor = New CheckUtsPlatformExecutor(command)
                Case "Check_UTS_Version"
                    executor = New CheckUtsVersionExecutor(command)
                Case "Show_TipImage"
                    executor = New ShowTipImageExecutor(command)
                Case "Show_InputBox"
                    executor = New ShowInputBoxExecutor(command)
                Case "Show_MessageBox"
                    executor = New ShowMessageBoxExecutor(command)
                Case "Delay_mS"
                    executor = New DelayMsExecutor(command)
                Case "Show_Tips"
                    executor = New ShowTipsExecutor(command)
                Case "Get_DB_Data"
                    executor = New GetDBDataExecutor(command)
                Case "Call"
                    executor = New CallExecutor(command)
                Case "GetRecord"
                    Return New GetRecordCommand(command)
                Case "SetRecord"
                    Return New SetRecordCommand(command)
                Case "CombindRecord"
                    Return New CombindRecordCommand(command)
                Case Else
                    Throw New Exception($"System集,未知命令 ：{command.Name}")
            End Select
            Return executor
        End Function

    End Class
End Namespace